This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 176710 - Glibc does not have Sinhala locale def
Glibc does not have Sinhala locale def
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: i18n
Depends On:
Blocks: Indic 142709 183728 183729
  Show dependency treegraph
 
Reported: 2005-12-30 09:32 EST by Qingyu Wang
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-13 21:18:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
localedef for si_LK (6.34 KB, text/plain)
2006-03-03 00:06 EST, Leon Ho
no flags Details

  None (edit)
Description Qingyu Wang 2005-12-30 09:32:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.10) Gecko/20050909 Red Hat/1.0.6-1.4.2 Firefox/1.0.6

Description of problem:
Glibc does not support following major Indic locales:
1. Oriya language locale 
2. Sinhala language locale 
3. Assamese language locale 

Although assamese scripts borrowes heavily from the Bengali script(which is supported by glibc now and whose locale is bn_IN) and is nearly same barring for 2 or 3 alphabets which are exclusively used in Assamese and not in Bengali. The following two alphabets are used exclusively for the Assamese script: U09F0 and U09F1. On the other hand the alphabet: U09B0 is used in Bengali but not in Assamese. So need to add a new locale for Assamese. http://www.unicode.org/charts/PDF/U0980.pdf

Version-Release number of selected component (if applicable):
glibc-2.3.4-2.9

How reproducible:
Always

Steps to Reproduce:
1. Install RHEL4 with supporting all languages
2. In directory /usr/lib/locale/ you can't find the locale files for these three languages
  

Actual Results:  In directory /usr/lib/locale you can't find the locale files for these three languages

Expected Results:  In directory /usr/lib/locale you will find the locale files for these three languages

Additional info:
Comment 2 Jakub Jelinek 2006-01-16 05:45:27 EST
Please reopen when the support for those languages is written as a request
to include them.
Comment 3 Leon Ho 2006-03-02 21:01:17 EST
Bug #142708 and Bug #142709 are the requests for RHEL5.
Comment 4 Leon Ho 2006-03-03 00:06:06 EST
Created attachment 125581 [details]
localedef for si_LK

Initial localedef for si_LK
Comment 5 Leon Ho 2006-03-08 20:44:26 EST
FYI, actually the glibc cvs trunk should have a latest version of this localedef:
http://sources.redhat.com/bugzilla/show_bug.cgi?id=367
Comment 6 Leon Ho 2006-03-13 21:18:27 EST
Look like rawhide glibc contains Sinhala locale def. Closing this until we see
any bugs on it. Thanks.

Note You need to log in before you can comment on or make changes to this bug.